<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import EMItemRInGridViewBase from './emitem-rin-grid-view-base.vue';

import view_grid from '@widgets/emitem-rin/main2-grid/main2-grid.vue';

/**
 * 入库单
 *
 * @export
 * @class EMItemRInGridView
 * @extends {EMItemRInGridViewBase}
 */
@Component({
    components: {
        view_grid, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class EMItemRInGridView extends EMItemRInGridViewBase { }
</script>